LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XResourceFactoryManager Interface Reference

The XResourceFactoryManager is part of the configuration controller and manages the set of registered resource factories. More...

`import"XResourceFactoryManager.idl";`

Inheritance diagram for XResourceFactoryManager:

## Public Member Functions
void | addResourceFactory ([in] string sResourceURL, [in] XResourceFactory xResourceFactory)
| Register a new resource factory for the given URL. More...
void | removeResourceFactoryForURL ([in] string sResourceURL)
| Remove a resource factory for one type of resource. More...
void | removeResourceFactoryForReference ([in] XResourceFactory xResourceFactory)
| Remove a resource factory for all resource types it has been registered for. More...
XResourceFactory | getResourceFactory ([in] string sResourceURL)
| Return the resource factory that was previously registered for the given resource type. More...

## Detailed Description

The XResourceFactoryManager is part of the configuration controller and manages the set of registered resource factories.

See also
  XConfigurationController
  XResourceFactory

## Member Function Documentation

## ◆ addResourceFactory()

void addResourceFactory | ( | [in] string | sResourceURL,
|  | [in] XResourceFactory | xResourceFactory
| ) |  |

Register a new resource factory for the given URL.

When one factory is responsible for more than one type of resource then this method has to be called for each type. If this method is called multiple times for the same URL then a previously registered factory is removed for the URL.

Parameters

  sResourceURL | The URL of the resource that the factory can create.
  xResourceFactory | The resource factory object.

## ◆ getResourceFactory()

XResourceFactory getResourceFactory | ( | [in] string | sResourceURL | ) |

Return the resource factory that was previously registered for the given resource type.

This method is typically called by one of the resource controllers.

Parameters

  sResourceURL | The URL of the resource type for which to return the resource factory.

Returns
  When no resource factory was registered for the given resource type then an empty reference is returned.

## ◆ removeResourceFactoryForReference()

void removeResourceFactoryForReference | ( | [in] XResourceFactory | xResourceFactory | ) |

Remove a resource factory for all resource types it has been registered for.

Use removeResourceFactoryForURL() to remove a factory just for one resource type and to leave it registered for others.

Parameters

  xResourceFactory | The resource factory object to remove.

## ◆ removeResourceFactoryForURL()

void removeResourceFactoryForURL | ( | [in] string | sResourceURL | ) |

Remove a resource factory for one type of resource.

When the factory has been registered for other URLs as well then it remains registered for them. Use the removeResourceFactoryForReference() to remove a factory completely.

Parameters

  sResourceURL | The URL for which to remove the resource factory.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XResourceFactoryManager.idl